ALTER FUNCTION [dbo].[CF_Descrip_Cbte](@pId_Trans INT)
RETURNS VARCHAR(50)	
AS

BEGIN
DECLARE @Descripcion_Cbte	VARCHAR(50)
DECLARE @Id_Tipo_Cbte		CHAR(4)
DECLARE @Descrip_Corta		CHAR(4)
DECLARE @Letra				CHAR(1)
DECLARE @Id_Sucursal		SMALLINT
DECLARE @Id_Sucursal_Char	VARCHAR(5)
DECLARE @Comprobante_Nro	INT
DECLARE @comprobante_nro_char VARCHAR(9)

SET @Id_Tipo_Cbte	= ISNULL((SELECT Id_Tipo_Cbte FROM Cbtes WHERE Id_Trans = @pId_Trans),'')

SET @Descrip_Corta	= ISNULL((SELECT Descrip_Corta FROM Cbtes_Tipos WHERE Id_Tipo_Cbte=@Id_Tipo_Cbte),'    ')
SET @Letra			= ISNULL((SELECT Letra FROM Cbtes_Tipos WHERE Id_Tipo_Cbte=@Id_Tipo_Cbte), ' ')

SET @Id_Sucursal	= ISNULL((SELECT Id_Sucursal FROM Cbtes_Tipos WHERE Id_Tipo_Cbte = @Id_Tipo_Cbte), 0)
SET @Id_Sucursal_Char = ISNULL((SELECT RIGHT('00000'+CAST(@id_sucursal AS VARCHAR(5)), 5)), '00000')

SET @Comprobante_Nro = ISNULL((SELECT Comprobante_Nro FROM Cbtes WHERE Id_Trans = @pId_Trans), 0)
SET @comprobante_nro_char = ISNULL((SELECT RIGHT('00000000'+CAST(@Comprobante_Nro AS VARCHAR(9)), 8)), '00000000')

SET @Descripcion_Cbte = (@Descrip_Corta + ' ' + @Letra + ' ' + @Id_Sucursal_Char + '-' + @comprobante_nro_char)

RETURN @Descripcion_Cbte

END
